# Module `blingbling.task_warrior`

Task warrior menu

## Functions

set_task_done_icon (tw_menu, an_image) | Set the icon for "set task done" menu item.
set_project_icon (tw_menu, an_image) | Set the icon for project menu item.
set_task_icon (tw_menu, an_image) | Set the icon for task menu item.
new (args) | Create new task warrior menu.

## Functions

set_task_done_icon (tw_menu, an_image)
  Set the icon for "set task done" menu item.

  ### Parameters:

  - tw_menu a task warrior menu
  - an_image an image file name

  ### Usage:

      my_tasks:set_task_done_icon(an_image_file_name)

set_project_icon (tw_menu, an_image)
  Set the icon for project menu item.

  ### Parameters:

  - tw_menu a task warrior menu
  - an_image an image file name

  ### Usage:

      my_tasks:set_project_icon(an_image_file_name)

set_task_icon (tw_menu, an_image)
  Set the icon for task menu item.

  ### Parameters:

  - tw_menu a task warrior menu
  - an_image an image file name

  ### Usage:

      my_tasks:set_task_icon(an_image_file_name)

new (args)
  Create new task warrior menu.

  ### Parameters:

  - args a table

  ### Returns:

  tw_menu a task warrior menu

  ### Usage:

      my_tasks=blingbling.task_warrior.new({ menu_icon = an_icon_file, width = integer --[[optional--]], project_icon = an_icon_file --[[optional--]], task_icon = an_icon_file --[[optional--]], task_icon_done = an_icon_file --[[optional--]]} )

generated by LDoc 1.4.3 Last updated 2015-08-04 10:16:50